List source bindings
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"contextId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2025-01-15T10:30:00Z",
"enabled": true,
"format": "br/cnab400/default",
"id": "550e8400-e29b-41d4-a716-446655440000",
"kind": "file",
"scheduleSpec": "@every 1h",
"sourceId": "550e8400-e29b-41d4-a716-446655440000",
"updatedAt": "2025-01-15T10:30:00Z",
"connectionId": "550e8400-e29b-41d4-a716-446655440000",
"transportConfig": {
"host": "sftp.bank.example.com",
"kind": "sftp",
"connectOptions": {},
"credentialRef": "cred-bank-sftp",
"glob": "*.csv",
"path": "/statements",
"port": 22
}
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List source bindings
Returns every source binding under a source’s context, enabled and disabled, so a disabled binding stays visible instead of silently vanishing.
GET
/
v1
/
contexts
/
{contextId}
/
sources
/
{sourceId}
/
bindings
List source bindings
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"contextId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2025-01-15T10:30:00Z",
"enabled": true,
"format": "br/cnab400/default",
"id": "550e8400-e29b-41d4-a716-446655440000",
"kind": "file",
"scheduleSpec": "@every 1h",
"sourceId": "550e8400-e29b-41d4-a716-446655440000",
"updatedAt": "2025-01-15T10:30:00Z",
"connectionId": "550e8400-e29b-41d4-a716-446655440000",
"transportConfig": {
"host": "sftp.bank.example.com",
"kind": "sftp",
"connectOptions": {},
"credentialRef": "cred-bank-sftp",
"glob": "*.csv",
"path": "/statements",
"port": 22
}
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Was this page helpful?

